<%@ page import="com.cidat.proclets.*,itourbaskBeans.*,java.util.*,q53_util.*" session="true" %>
<%@ page import="q53_util.q53Util" %>
<%
com.cidat.proclets.ProcletServiceData sdE=(com.cidat.proclets.ProcletServiceData)request.getAttribute("com.cidat.proclets.sd"); 
String q53_idiomaE = q53Util.getIdioma(sdE);

String HTA_CARGA_FICHERO_FAIL1=q53Util.getLiteral(sdE,"HTA_CARGA_FICHERO_FAIL1",q53_idiomaE);
String HTA_CARGA_FICHERO_FAIL2=q53Util.getLiteral(sdE,"HTA_CARGA_FICHERO_FAIL2",q53_idiomaE);
String HTA_DUPLICADA=q53Util.getLiteral(sdE,"HTA_DUPLICADA",q53_idiomaE);
String HTA_ERROR_SERVIDOR=q53Util.getLiteral(sdE,"HTA_ERROR_SERVIDOR",q53_idiomaE);
String HTA_FICHERO_REPE=q53Util.getLiteral(sdE,"HTA_FICHERO_REPE",q53_idiomaE);
String HTA_FIN_CARGA=q53Util.getLiteral(sdE,"HTA_FIN_CARGA",q53_idiomaE);
String HTA_HAY_CN=q53Util.getLiteral(sdE,"HTA_HAY_CN",q53_idiomaE);
String HTA_CARGA_RES=q53Util.getLiteral(sdE,"HTA_CARGA_RES",q53_idiomaE);
String HTA_NO_FICH=q53Util.getLiteral(sdE,"HTA_NO_FICH",q53_idiomaE);
String HTA_INSTAL=q53Util.getLiteral(sdE,"HTA_INSTAL",q53_idiomaE);
String HTA_INSTAL_CLOSE=q53Util.getLiteral(sdE,"HTA_INSTAL_CLOSE",q53_idiomaE);
String HTA_PROVAR=q53Util.getLiteral(sdE,"HTA_PROVAR",q53_idiomaE);
String HTA_ERRORES_INI=q53Util.getLiteral(sdE,"HTA_ERRORES_INI",q53_idiomaE);
String HTA_ERRORES_FIN=q53Util.getLiteral(sdE,"HTA_ERRORES_FIN",q53_idiomaE);
%>

<script type="text/javascript">
// JavaScript Document
//

var FSO = new ActiveXObject("Scripting.FileSystemObject");
var objDom = null;
var xmlhttp = null;
var xmlcheck = null;
var con="N";
var msg="";
var respuesta;
var ultimo_fichero="";
var tipo_prueba=0;
var contFich=0;
var totalFich=0;
function crearAtributo(nombre,valor){
    var atributo=objDom.createAttribute(nombre);
    atributo.nodeValue=valor;
    return atributo;
}

function inicializarNoNulo(velemento,valor){ 
    if(velemento==null || velemento.length < 1){
        return valor;
    }else{
        var campo= velemento[0].value;
        if(campo==null || campo=="")return valor;
    }
    return campo;
}

function guardarProcedenciaPV(){
    var local="N"
    if(document.frm.opt_local.checked){
			local="S";
    }

    
    var codPregunta=6;
    var selPAIS1 = inicializarNoNulo(document.getElementsByName("proc_pais_6_1"),"");
    var selPAIS2 = inicializarNoNulo(document.getElementsByName("proc_pais_6_2"),"");
    var selPAIS3 = inicializarNoNulo(document.getElementsByName("proc_pais_6_3"),"");
    var hombres= inicializarNoNulo(document.getElementsByName("grp_2_2_1"),"0");
	var mujeres= inicializarNoNulo(document.getElementsByName("grp_2_2_2"),"0");
    var menor27= inicializarNoNulo(document.getElementsByName("grp_5_4_1"),"0");
	var entre2745= inicializarNoNulo(document.getElementsByName("grp_5_4_2"),"0");
	var entre4665= inicializarNoNulo(document.getElementsByName("grp_5_4_3"),"0");
	var mayor65= inicializarNoNulo(document.getElementsByName("grp_5_4_4"),"0");
    var sc=inicializarNoNulo(document.getElementsByName("grp_5_4_5"),"0");
	var cpos1= inicializarNoNulo(document.getElementsByName("cpos1"),"");
	var cpos2= inicializarNoNulo(document.getElementsByName("cpos2"),"");
	var cpos3= inicializarNoNulo(document.getElementsByName("cpos3"),"");
	
	var personasProc1 = inicializarNoNulo(document.getElementsByName("nPersonasProcedencia_6_1"),"0");
    var personasProc2 = inicializarNoNulo(document.getElementsByName("nPersonasProcedencia_6_2"),"0");   
    var personasProc3 = inicializarNoNulo(document.getElementsByName("nPersonasProcedencia_6_3"),"0");
	
    var procedencia=objDom.createElement("respuestaProcedencia");
    
    procedencia.setAttributeNode(crearAtributo("codPregunta",codPregunta));
    procedencia.setAttributeNode(crearAtributo("m5NumHombres",hombres));
    procedencia.setAttributeNode(crearAtributo("m5NumMujeres",mujeres));
    procedencia.setAttributeNode(crearAtributo("m5NumMenor27",menor27));
    procedencia.setAttributeNode(crearAtributo("m5Num2745",entre2745));
    procedencia.setAttributeNode(crearAtributo("m5num4665",entre4665));
    procedencia.setAttributeNode(crearAtributo("numMayor65",mayor65));
    procedencia.setAttributeNode(crearAtributo("numSC",sc));
    
    var procedencia1=objDom.createElement("procedencia1");
    var procedencia2=objDom.createElement("procedencia2");
    var procedencia3=objDom.createElement("procedencia3");
    var procedencia4=objDom.createElement("procedencia4");
    
    if(local=="N"){
        procedencia1.setAttributeNode(crearAtributo("m5NumPersonas","0"));
        procedencia1.setAttributeNode(crearAtributo("m5Local","N"));
        procedencia1.setAttributeNode(crearAtributo("m5CodPostal",""));
        procedencia1.setAttributeNode(crearAtributo("m5CodPais",""));
        procedencia2.setAttributeNode(crearAtributo("m5NumPersonas",personasProc1));
        procedencia2.setAttributeNode(crearAtributo("m5Local","N"));
        procedencia2.setAttributeNode(crearAtributo("m5CodPostal",cpos1));
        procedencia2.setAttributeNode(crearAtributo("m5CodPais",selPAIS1));
    }else{
        procedencia2.setAttributeNode(crearAtributo("m5NumPersonas","0"));
        procedencia2.setAttributeNode(crearAtributo("m5Local","N"));
        procedencia2.setAttributeNode(crearAtributo("m5CodPostal",""));
        procedencia2.setAttributeNode(crearAtributo("m5CodPais",""));
        procedencia1.setAttributeNode(crearAtributo("m5CodPais","0"));
        procedencia1.setAttributeNode(crearAtributo("m5NumPersonas",personasProc1));
        procedencia1.setAttributeNode(crearAtributo("m5Local","S"));
        procedencia1.setAttributeNode(crearAtributo("m5CodPostal",""));
    }
    
        procedencia3.setAttributeNode(crearAtributo("m5NumPersonas",personasProc2));
        procedencia3.setAttributeNode(crearAtributo("m5Local","N"));
        procedencia3.setAttributeNode(crearAtributo("m5CodPostal",cpos2));
        procedencia3.setAttributeNode(crearAtributo("m5CodPais",selPAIS2));
        
        procedencia4.setAttributeNode(crearAtributo("m5NumPersonas",personasProc3));
        procedencia4.setAttributeNode(crearAtributo("m5Local","N"));
        procedencia4.setAttributeNode(crearAtributo("m5CodPostal",cpos3));
        procedencia4.setAttributeNode(crearAtributo("m5CodPais",selPAIS3));
        
        procedencia.appendChild(procedencia1);
        procedencia.appendChild(procedencia2);
        procedencia.appendChild(procedencia3);
        procedencia.appendChild(procedencia4);
        
        respuesta.appendChild(procedencia);
        
    	
}
function guardarProcedenciaTablaPV(i){
	     if(eval('document.frm.id'+i+'.checked')){
		    var codPregunta=6;
		    var selPAIS1 = inicializarNoNulo(document.getElementsByName("proc_pais_6_"+i),"0");
		    var hombres= inicializarNoNulo(document.getElementsByName("grp_2_2_1"+i),"0");
				var mujeres= inicializarNoNulo(document.getElementsByName("grp_2_2_2"+i),"0");
		    var menor27= inicializarNoNulo(document.getElementsByName("grp_5_4_1"+i),"0");
				var entre2745= inicializarNoNulo(document.getElementsByName("grp_5_4_2"+i),"0");
				var entre4665= inicializarNoNulo(document.getElementsByName("grp_5_4_3"+i),"0");
				var mayor65= inicializarNoNulo(document.getElementsByName("grp_5_4_4"+i),"0");
		    var sc=inicializarNoNulo(document.getElementsByName("grp_5_4_5"+i),"0");
				var cpos1= inicializarNoNulo(document.getElementsByName("cposProc"+i),"");
		
				var personasProc1 = inicializarNoNulo(document.getElementsByName("totalPersonasProc"+i),"0");
				
		    var procedencia=objDom.createElement("respuestaProcedencia");
	    
		    procedencia.setAttributeNode(crearAtributo("codPregunta",codPregunta));
		    procedencia.setAttributeNode(crearAtributo("m5NumHombres",hombres));
		    procedencia.setAttributeNode(crearAtributo("m5NumMujeres",mujeres));
		    procedencia.setAttributeNode(crearAtributo("m5NumMenor27",menor27));
		    procedencia.setAttributeNode(crearAtributo("m5Num2745",entre2745));
		    procedencia.setAttributeNode(crearAtributo("m5num4665",entre4665));
		    procedencia.setAttributeNode(crearAtributo("numMayor65",mayor65));
		    procedencia.setAttributeNode(crearAtributo("numSC",sc));
		    
		    var procedencia1=objDom.createElement("procedencia1");
		    var procedencia2=objDom.createElement("procedencia2");
		    var procedencia3=objDom.createElement("procedencia3");
		    var procedencia4=objDom.createElement("procedencia4");
	    
		    if(!eval('document.frm.opt_local'+i+'.checked')){
		        procedencia1.setAttributeNode(crearAtributo("m5NumPersonas","0"));
		        procedencia1.setAttributeNode(crearAtributo("m5Local","N"));
		        procedencia1.setAttributeNode(crearAtributo("m5CodPostal",""));
		        procedencia1.setAttributeNode(crearAtributo("m5CodPais",""));
		        procedencia2.setAttributeNode(crearAtributo("m5NumPersonas",personasProc1));
		        procedencia2.setAttributeNode(crearAtributo("m5Local","N"));
		        procedencia2.setAttributeNode(crearAtributo("m5CodPostal",cpos1));
		        procedencia2.setAttributeNode(crearAtributo("m5CodPais",selPAIS1));
		    }else{
		        procedencia2.setAttributeNode(crearAtributo("m5NumPersonas","0"));
		        procedencia2.setAttributeNode(crearAtributo("m5Local","N"));
		        procedencia2.setAttributeNode(crearAtributo("m5CodPostal",""));
		        procedencia2.setAttributeNode(crearAtributo("m5CodPais","0"));
		        procedencia1.setAttributeNode(crearAtributo("m5NumPersonas",personasProc1));
		        procedencia1.setAttributeNode(crearAtributo("m5Local","S"));
		        procedencia1.setAttributeNode(crearAtributo("m5CodPostal",""));
		        procedencia1.setAttributeNode(crearAtributo("m5CodPais","0"));
		        }
	        procedencia3.setAttributeNode(crearAtributo("m5NumPersonas","0"));
	        procedencia3.setAttributeNode(crearAtributo("m5Local","N"));
	        procedencia3.setAttributeNode(crearAtributo("m5CodPostal",""));
	        procedencia3.setAttributeNode(crearAtributo("m5CodPais","0"));
	        procedencia4.setAttributeNode(crearAtributo("m5NumPersonas","0"));
	        procedencia4.setAttributeNode(crearAtributo("m5Local","N"));
	        procedencia4.setAttributeNode(crearAtributo("m5CodPostal",""));
	        procedencia4.setAttributeNode(crearAtributo("m5CodPais","0"));
	        procedencia.appendChild(procedencia1);
	        procedencia.appendChild(procedencia2);
	        procedencia.appendChild(procedencia3);
	        procedencia.appendChild(procedencia4);

	        respuesta.appendChild(procedencia);
        	}
}

function guardarGruposPV(){
    
    var hombres= inicializarNoNulo(document.getElementsByName("grp_2_2_1"),"0");
	var mujeres= inicializarNoNulo(document.getElementsByName("grp_2_2_2"),"0");
	
    var menor27H= inicializarNoNulo(document.getElementsByName("grp_5_4_1_H"),"0");
	var entre2745H= inicializarNoNulo(document.getElementsByName("grp_5_4_2_H"),"0");
	var entre4665H= inicializarNoNulo(document.getElementsByName("grp_5_4_3_H"),"0");
	var mayor65H= inicializarNoNulo(document.getElementsByName("grp_5_4_4_H"),"0");
    var scH=inicializarNoNulo(document.getElementsByName("grp_5_4_5_H"),"0");
    
    var menor27M= inicializarNoNulo(document.getElementsByName("grp_5_4_1_M"),"0");
	var entre2745M= inicializarNoNulo(document.getElementsByName("grp_5_4_2_M"),"0");
	var entre4665M= inicializarNoNulo(document.getElementsByName("grp_5_4_3_M"),"0");
	var mayor65M= inicializarNoNulo(document.getElementsByName("grp_5_4_4_M"),"0");
    var scM=inicializarNoNulo(document.getElementsByName("grp_5_4_5_M"),"0");
   
    
    var grupoH=objDom.createElement("respuestaGrupos");
    
    grupoH.setAttributeNode(crearAtributo("codPregunta","2"));
    grupoH.setAttributeNode(crearAtributo("n9CodGrupo","1"));
    grupoH.setAttributeNode(crearAtributo("n9Hombres",hombres));
    grupoH.setAttributeNode(crearAtributo("n9Mujeres","0"));
    
    var grupoM=objDom.createElement("respuestaGrupos");
    
    grupoM.setAttributeNode(crearAtributo("codPregunta","2"));
    grupoM.setAttributeNode(crearAtributo("n9CodGrupo","2"));
    grupoM.setAttributeNode(crearAtributo("n9Hombres","0"));
    grupoM.setAttributeNode(crearAtributo("n9Mujeres",mujeres));
    
    var grupoMenor27=objDom.createElement("respuestaGrupos");
    grupoMenor27.setAttributeNode(crearAtributo("codPregunta","5"));
    grupoMenor27.setAttributeNode(crearAtributo("n9CodGrupo","1"));
    grupoMenor27.setAttributeNode(crearAtributo("n9Hombres",menor27H));
    grupoMenor27.setAttributeNode(crearAtributo("n9Mujeres",menor27M));
    
    var grupoentre2745=objDom.createElement("respuestaGrupos");
    grupoentre2745.setAttributeNode(crearAtributo("codPregunta","5"));
    grupoentre2745.setAttributeNode(crearAtributo("n9CodGrupo","2"));
    grupoentre2745.setAttributeNode(crearAtributo("n9Hombres",entre2745H));
    grupoentre2745.setAttributeNode(crearAtributo("n9Mujeres",entre2745M));
    
    var grupoentre4665=objDom.createElement("respuestaGrupos");
    grupoentre4665.setAttributeNode(crearAtributo("codPregunta","5"));
    grupoentre4665.setAttributeNode(crearAtributo("n9CodGrupo","3"));
    grupoentre4665.setAttributeNode(crearAtributo("n9Hombres",entre4665H));
    grupoentre4665.setAttributeNode(crearAtributo("n9Mujeres",entre4665M));
    
    var grupomayor65=objDom.createElement("respuestaGrupos");
    grupomayor65.setAttributeNode(crearAtributo("codPregunta","5"));
    grupomayor65.setAttributeNode(crearAtributo("n9CodGrupo","4"));
    grupomayor65.setAttributeNode(crearAtributo("n9Hombres",mayor65H));
    grupomayor65.setAttributeNode(crearAtributo("n9Mujeres",mayor65M));
    
    var gruposc=objDom.createElement("respuestaGrupos");
    gruposc.setAttributeNode(crearAtributo("codPregunta","5"));
    gruposc.setAttributeNode(crearAtributo("n9CodGrupo","5"));
    gruposc.setAttributeNode(crearAtributo("n9Hombres",scH));
    gruposc.setAttributeNode(crearAtributo("n9Mujeres",scM));
    
    respuesta.appendChild(grupoH);
    respuesta.appendChild(grupoM);
    respuesta.appendChild(grupoMenor27);
    respuesta.appendChild(grupoentre2745);
    respuesta.appendChild(grupoentre4665);    
    respuesta.appendChild(grupomayor65);
    respuesta.appendChild(gruposc);
       
}
function guardarGruposTablaPV(i){
    	if(eval('document.frm.id'+i+'.checked')){
	    var hombres= inicializarNoNulo(document.getElementsByName("grp_2_2_1"+i),"0");
			var mujeres= inicializarNoNulo(document.getElementsByName("grp_2_2_2"+i),"0");
		
	    var menor27H= inicializarNoNulo(document.getElementsByName("grp_5_4_1_H"+i),"0");
			var entre2745H= inicializarNoNulo(document.getElementsByName("grp_5_4_2_H"+i),"0");
			var entre4665H= inicializarNoNulo(document.getElementsByName("grp_5_4_3_H"+i),"0");
			var mayor65H= inicializarNoNulo(document.getElementsByName("grp_5_4_4_H"+i),"0");
	    var scH=inicializarNoNulo(document.getElementsByName("grp_5_4_5_H"+i),"0");
	    
	    var menor27M= inicializarNoNulo(document.getElementsByName("grp_5_4_1_M"+i),"0");
			var entre2745M= inicializarNoNulo(document.getElementsByName("grp_5_4_2_M"+i),"0");
			var entre4665M= inicializarNoNulo(document.getElementsByName("grp_5_4_3_M"+i),"0");
			var mayor65M= inicializarNoNulo(document.getElementsByName("grp_5_4_4_M"+i),"0");
	    var scM=inicializarNoNulo(document.getElementsByName("grp_5_4_5_M"+i),"0");
   
    
	    var grupoH=objDom.createElement("respuestaGrupos");
	    
	    grupoH.setAttributeNode(crearAtributo("codPregunta","2"));
	    grupoH.setAttributeNode(crearAtributo("n9CodGrupo","1"));
	    grupoH.setAttributeNode(crearAtributo("n9Hombres",hombres));
	    grupoH.setAttributeNode(crearAtributo("n9Mujeres","0"));

	    var grupoM=objDom.createElement("respuestaGrupos");
	    
	    grupoM.setAttributeNode(crearAtributo("codPregunta","2"));
	    grupoM.setAttributeNode(crearAtributo("n9CodGrupo","2"));
	    grupoM.setAttributeNode(crearAtributo("n9Hombres","0"));
	    grupoM.setAttributeNode(crearAtributo("n9Mujeres",mujeres));
	    
	    var grupoMenor27=objDom.createElement("respuestaGrupos");
	    grupoMenor27.setAttributeNode(crearAtributo("codPregunta","5"));
	    grupoMenor27.setAttributeNode(crearAtributo("n9CodGrupo","1"));
	    grupoMenor27.setAttributeNode(crearAtributo("n9Hombres",menor27H));
	    grupoMenor27.setAttributeNode(crearAtributo("n9Mujeres",menor27M));
	    
	    var grupoentre2745=objDom.createElement("respuestaGrupos");
	    grupoentre2745.setAttributeNode(crearAtributo("codPregunta","5"));
	    grupoentre2745.setAttributeNode(crearAtributo("n9CodGrupo","2"));
	    grupoentre2745.setAttributeNode(crearAtributo("n9Hombres",entre2745H));
	    grupoentre2745.setAttributeNode(crearAtributo("n9Mujeres",entre2745M));
    
	    var grupoentre4665=objDom.createElement("respuestaGrupos");
	    grupoentre4665.setAttributeNode(crearAtributo("codPregunta","5"));
	    grupoentre4665.setAttributeNode(crearAtributo("n9CodGrupo","3"));
	    grupoentre4665.setAttributeNode(crearAtributo("n9Hombres",entre4665H));
	    grupoentre4665.setAttributeNode(crearAtributo("n9Mujeres",entre4665M));
	    
	    var grupomayor65=objDom.createElement("respuestaGrupos");
	    grupomayor65.setAttributeNode(crearAtributo("codPregunta","5"));
	    grupomayor65.setAttributeNode(crearAtributo("n9CodGrupo","4"));
	    grupomayor65.setAttributeNode(crearAtributo("n9Hombres",mayor65H));
	    grupomayor65.setAttributeNode(crearAtributo("n9Mujeres",mayor65M));
	    
	    var gruposc=objDom.createElement("respuestaGrupos");
	    gruposc.setAttributeNode(crearAtributo("codPregunta","5"));
	    gruposc.setAttributeNode(crearAtributo("n9CodGrupo","5"));
	    gruposc.setAttributeNode(crearAtributo("n9Hombres",scH));
	    gruposc.setAttributeNode(crearAtributo("n9Mujeres",scM));
    
	    respuesta.appendChild(grupoH);
	    respuesta.appendChild(grupoM);
	    respuesta.appendChild(grupoMenor27);
	    respuesta.appendChild(grupoentre2745);
	    respuesta.appendChild(grupoentre4665);    
	    respuesta.appendChild(grupomayor65);
	    respuesta.appendChild(gruposc);
	    }
}

function guardarRespuestOpciones(codPregunta){

     var opcion=document.getElementsByName("opt_"+codPregunta);
     if(opcion!=null && opcion.length>0){
     	var longitud=opcion.length;
        if(longitud > 1){
            
            for(i=0;i<longitud;i++){
                if(opcion[i].checked){
                    var valor=opcion[i].value;
                    var res=objDom.createElement("respuestaOpciones");
                    res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
                    res.setAttributeNode(crearAtributo("codOpcion",valor));
                    respuesta.appendChild(res);
                }
            }
            return;   
        }else{
			var valor=opcion[0].value;
            if(valor.indexOf("#")==-1){
            	var res=objDom.createElement("respuestaOpciones");
            	res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
            	res.setAttributeNode(crearAtributo("codOpcion",valor));
            	respuesta.appendChild(res);
            }else{
            	var valores=valor.split("#");
            	for(i=0;i<valores.length;i++){
            		var res=objDom.createElement("respuestaOpciones");
            		res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
            		res.setAttributeNode(crearAtributo("codOpcion",valores[i]));
            		respuesta.appendChild(res);
            	}
            }	
            return;
        }
    }    

}
function guardarRespuestOpcionesTabla(codPregunta,i){
if(eval('document.frm.id'+i+'.checked')){
     var opcion=document.getElementsByName("opt_"+codPregunta+i);
     if(opcion!=null && opcion.length>0){
     	var longitud=opcion.length;
        if(longitud > 1){
            for(j=0;j<longitud;j++){
                if(opcion[j].checked){
                    var valor=opcion[j].value;
                    var res=objDom.createElement("respuestaOpciones");
                    res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
                    res.setAttributeNode(crearAtributo("codOpcion",valor));
                    respuesta.appendChild(res);
                }
            }
            //return;   
        }else{
				var valor=opcion[0].value;
            if(valor.indexOf("#")==-1){
            	var res=objDom.createElement("respuestaOpciones");
            	res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
            	res.setAttributeNode(crearAtributo("codOpcion",valor));
            	respuesta.appendChild(res);
            }else{
            	var valores=valor.split("#");
            	for(j=0;j<valores.length;j++){
            		var res=objDom.createElement("respuestaOpciones");
            		res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
            		res.setAttributeNode(crearAtributo("codOpcion",valores[j]));
            		respuesta.appendChild(res);
            	}
            }	
            //return;
        }
    	}
if(eval('document.getElementById("size'+codPregunta+i+'")')){
 					 var tamano=eval('document.getElementById("size'+codPregunta+i+'")'); 
    						if(tamano.value>0 && document.getElementById("opt_check_a"+codPregunta+0+i)){
    								for(j=0;j<tamano.value;j++){
    										var opcioncheck=document.getElementById("opt_check_a"+codPregunta+j+i);
    											if(opcioncheck.checked){
    												var valor=opcioncheck.value;
            								var res=objDom.createElement("respuestaOpciones");
            								res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
           									res.setAttributeNode(crearAtributo("codOpcion",valor));
            								respuesta.appendChild(res);
    											}
    									}
    						}
    	}
    	
    	if(eval('inicializarNoNulo(document.getElementsByName("opt_check_"+codPregunta+i),"")')){
    			var texto=inicializarNoNulo(document.getElementsByName("opt_check_"+codPregunta+i),"");    	 
    	 				if(texto!="" ||texto!=null){
    	  					if(texto.indexOf(",")==-1){
    	  							var res=objDom.createElement("respuestaOpciones");
	     								res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
	     								res.setAttributeNode(crearAtributo("codOpcion",texto));
	     								respuesta.appendChild(res); 
    	  					}else{
    	 								var dividido=texto.split(",");
	     										for(j=0;j<dividido.length;j++){
	     							      	var res=objDom.createElement("respuestaOpciones");
	     											res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
	     											res.setAttributeNode(crearAtributo("codOpcion",dividido[j]));
	     											respuesta.appendChild(res); 
	     				       			}
	     							}
	     				}
	     }
   }  

}
function guardarRespuestaTexto(codPregunta){
     
     var texto=inicializarNoNulo(document.getElementsByName("txt_"+codPregunta),"");
     var res=objDom.createElement("respuestaTexto");
     res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
     res.setAttributeNode(crearAtributo("m4Texto",texto));
     
     respuesta.appendChild(res);
     
     
}
function guardarRespuestaTextoTabla(codPregunta,i){
      	if(eval('document.frm.id'+i+'.checked')){
	     var texto=inicializarNoNulo(document.getElementsByName("txt_"+codPregunta+"_"+i),"");
	     var res=objDom.createElement("respuestaTexto");
	     res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
	     res.setAttributeNode(crearAtributo("m4Texto",texto));
	     
	     respuesta.appendChild(res);
	     }
}

function guardarRespuestaFecha(codPregunta){
     
     var res=objDom.createElement("respuestaFecha");
     
     var actual=new Date();
     
     var diaf=inicializarNoNulo(document.getElementsByName( "fech_" +codPregunta + "_dia"),actual.getDate());
     var aniof=inicializarNoNulo(document.getElementsByName( "fech_" +codPregunta + "_anio"),actual.getFullYear());
     var mesf=inicializarNoNulo(document.getElementsByName( "fech_" +codPregunta + "_mes"),(actual.getMonth()+1));
     var horaf=inicializarNoNulo(document.getElementsByName( "fech_" +codPregunta + "_hora"),actual.getHours());

     var diar=inicializarNoNulo(document.getElementsByName( "fech_10_dia2"),"");
     var anior=inicializarNoNulo(document.getElementsByName( "fech_10_anio2"),"");
     var mesr=inicializarNoNulo(document.getElementsByName( "fech_10_mes2"),"");
    
     var m6Fecha=diaf+"/"+mesf+"/"+aniof
     var m6FechaRespuesta=diar+"/"+mesr+"/"+anior
     if(diar=="" || anior=="" || mesr==""){
        m6FechaRespuesta="";
     }
     
     res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
     res.setAttributeNode(crearAtributo("m6Fecha",m6Fecha));
     res.setAttributeNode(crearAtributo("m6Hora",horaf));
     res.setAttributeNode(crearAtributo("m6FechaRespuesta",m6FechaRespuesta));
     
     respuesta.appendChild(res);
     
     
}
function guardarRespuestaFechaTabla(codPregunta,i){
		var num=0;
      	if(eval('document.frm.id'+i+'.checked')){
     	num++;
	     var res=objDom.createElement("respuestaFecha");

	     var actual=new Date();
	     
	     var diaf=inicializarNoNulo(document.getElementsByName( "fech_" +codPregunta + "_dia_"+i),actual.getDate());
	     var aniof=inicializarNoNulo(document.getElementsByName( "fech_" +codPregunta + "_anio_"+i),actual.getFullYear());
	     var mesf=inicializarNoNulo(document.getElementsByName( "fech_" +codPregunta + "_mes_"+i),(actual.getMonth()+1));
	     var horaf=inicializarNoNulo(document.getElementsByName( "fech_" +codPregunta + "_hora_"+i),actual.getHours());
	
	     var diar=inicializarNoNulo(document.getElementsByName( "fech_10_dia2_"+i),"");
	     var anior=inicializarNoNulo(document.getElementsByName( "fech_10_anio2_"+i),"");
	     var mesr=inicializarNoNulo(document.getElementsByName( "fech_10_mes2_"+i),"");
	    
	     var m6Fecha=diaf+"/"+mesf+"/"+aniof
	     var m6FechaRespuesta=diar+"/"+mesr+"/"+anior
	     if(diar=="" || anior=="" || mesr==""){
	        m6FechaRespuesta="";
	        }
	     
	     res.setAttributeNode(crearAtributo("codPregunta",codPregunta));
	     res.setAttributeNode(crearAtributo("m6Fecha",m6Fecha));
	     res.setAttributeNode(crearAtributo("m6Hora",horaf));
	     res.setAttributeNode(crearAtributo("m6FechaRespuesta",m6FechaRespuesta));
	     
	     respuesta.appendChild(res);
	     }
}


function guardarRespuestas(){
    var fecha=new Date();
    var mes=fecha.getMonth()+1;
    if(mes<10){mes="0"+mes;}
    var dia=fecha.getDate();
    if(dia<10){dia="0"+dia;}
    var hora=fecha.getHours();
    if(hora<10){hora="0"+hora;}
    objDom=new ActiveXObject("Microsoft.XMLDOM");
    var fichero="./respuestas/respuesta"+fecha.getFullYear()+""+mes+""+dia+""+hora+".xml";
    var carpeta="./respuestas";
    if(!FSO.FolderExists(carpeta)){
    	FSO.CreateFolder(carpeta);
    }
    if(!FSO.FileExists(fichero)){
        inicializarDocumento(fichero);
    }
    objDom.load(fichero);
    guardarRespuestasPV();
    guardarRespuestasOFI();
    objDom.save(fichero);
	objDom=null;
    
  
}
function guardarRespuestasTabla(){
    var fecha=new Date();
    var mes=fecha.getMonth()+1;
    if(mes<10){mes="0"+mes;}
    var dia=fecha.getDate();
    if(dia<10){dia="0"+dia;}
    var hora=fecha.getHours();
    if(hora<10){hora="0"+hora;}
    objDom=new ActiveXObject("Microsoft.XMLDOM");
    var fichero="./respuestas/respuesta"+fecha.getFullYear()+""+mes+""+dia+""+hora+".xml";
    var carpeta="./respuestas";
    if(!FSO.FolderExists(carpeta)){
    	FSO.CreateFolder(carpeta);
    }
    if(!FSO.FileExists(fichero)){
        inicializarDocumento(fichero);
    }
    objDom.load(fichero);
    guardarRespuestasTablaPV();
    guardarRespuestasTablaOFI();
    objDom.save(fichero);
		objDom=null;
}
function inicializarDocumento(fichero){
    var elementoRaiz=objDom.createElement("encuestas");
    var fecha=new Date();
    var codigoFichero="<%=sdE.gOS("q53_cki.q53_oficina")%>-"+fecha.getTime();
    elementoRaiz.setAttributeNode(crearAtributo("codigoFichero",codigoFichero));
    objDom.appendChild(elementoRaiz);
    elementoRaiz.appendChild(inicializarEncuestaPV());
    var encuestaOFI=inicializarEncuestaOFI();
    if(encuestaOFI!=null){
        elementoRaiz.appendChild(encuestaOFI);
    }
    //instanciamos la cabecera 
    var objCabecera = objDom.createProcessingInstruction("xml","version='1.0'"); 
    //agregamos la cabecera antes del elemento raiz 
    objDom.insertBefore(objCabecera, objDom.childNodes(0));
    var oFich = FSO.CreateTextFile ( fichero, true );
    oFich.write(objDom.xml);
    oFich.Close();
    return;
}   
   
function inicializarEncuestaPV(){
    var encuesta=objDom.createElement("encuestaPV");
    encuesta.setAttributeNode(crearAtributo("codEncuesta","0"));
    encuesta.setAttributeNode(crearAtributo("codVersion","1"));
    encuesta.setAttributeNode(crearAtributo("codOficina","<%=sdE.gOS("q53_cki.q53_oficina")%>"));
    return encuesta;
}

function inicializarEncuestaOFI(){
	var fecha=new Date();
    var encuesta=null;
<%if (sdE.gOS("hay_preg_ofi").equals("SI")) {
   q53EncuestaBean encuestaBeanE  = (q53EncuestaBean)sdE.getVal("encVisible");
   String cod_enc_oficinaE = encuestaBeanE.getCodEncuesta();
   String cod_version_oficinaE = encuestaBeanE.getCodVersion();
   String q53_oficinaE = sdE.gOS("q53_cki.q53_oficina"); 
%>
	var encuesta=objDom.createElement("encuestaOFI");
   	encuesta.setAttributeNode(crearAtributo("codEncuesta","<%=cod_enc_oficinaE%>"));
    encuesta.setAttributeNode(crearAtributo("codVersion","<%=cod_version_oficinaE%>"));
    encuesta.setAttributeNode(crearAtributo("codOficina","<%=q53_oficinaE%>"));		
<%}%>
    return encuesta;
}

function guardarRespuestasPV(){
    respuesta=objDom.createElement("respuestaPV");
    var fecha=new Date();
    var mes=fecha.getMonth()+1;
    var dia=fecha.getDate();
    var hora=fecha.getHours();
    var min=fecha.getMinutes();
    var seg=fecha.getSeconds();
    var m0fecha=dia+"/"+mes+"/"+fecha.getFullYear()+" "+hora+":"+min+":"+seg;
    var m0Personas=inicializarNoNulo(document.getElementsByName( "totalPersonas"),"0");
    var codRespuesta=fecha.getTime();
    respuesta.setAttributeNode(crearAtributo("m0TipoEncuesta","<%=session.getAttribute("tipo_enc")%>"));
    respuesta.setAttributeNode(crearAtributo("m0FormatoEncuesta","<%=session.getAttribute("formato_enc")%>"));
    respuesta.setAttributeNode(crearAtributo("fecha_version","<%=session.getAttribute("fecha_version")%>"));
    respuesta.setAttributeNode(crearAtributo("m0Personas",m0Personas));
    respuesta.setAttributeNode(crearAtributo("m0fecha",m0fecha));
    respuesta.setAttributeNode(crearAtributo("codRespuesta","<%=sdE.gOS("q53_cki.q53_oficina")%>-"+codRespuesta+"0"));
    respuesta.setAttributeNode(crearAtributo("total_filas",0));
    guardarProcedenciaPV();
    guardarGruposPV();
    guardarRespuestaFecha("0");
    guardarRespuestOpciones("1");
    guardarRespuestOpciones("3");
    guardarRespuestOpciones("7");
    guardarRespuestOpciones("8");
    guardarRespuestOpciones("9");
	guardarRespuestOpciones("12");
    guardarRespuestaTexto("<%=q53Util.getLiteral(sdE, "PREG_DESC", q53_idiomaE)%>");
     var elems=objDom.getElementsByTagName("encuestaPV");
    elems[0].appendChild(respuesta);
    return;
}
function guardarRespuestasTablaPV(){
    var total_filas=document.frm.total_filas.value;
    for(i=1;i<total_filas;i++){
      if(eval('document.frm.id'+i+'.checked')){
	    respuesta=objDom.createElement("respuestaPV");
	    var fecha=new Date();
	    var mes=fecha.getMonth()+1;
	    var dia=fecha.getDate();
	    var hora=fecha.getHours();
	    var min=fecha.getMinutes();
        var seg=fecha.getSeconds();
        var m0fecha=dia+"/"+mes+"/"+fecha.getFullYear()+" "+hora+":"+min+":"+seg;
	    var m0Personas=inicializarNoNulo(document.getElementsByName( "totalPersonasProc"+i),"0");
	    var codRespuesta=fecha.getTime();
	    respuesta.setAttributeNode(crearAtributo("m0TipoEncuesta","<%=session.getAttribute("tipo_enc")%>"));
	    respuesta.setAttributeNode(crearAtributo("m0FormatoEncuesta","<%=session.getAttribute("formato_enc")%>"));
	    respuesta.setAttributeNode(crearAtributo("fecha_version","<%=session.getAttribute("fecha_version")%>"));
	    respuesta.setAttributeNode(crearAtributo("m0Personas",m0Personas));
	    respuesta.setAttributeNode(crearAtributo("m0fecha",m0fecha));
	    respuesta.setAttributeNode(crearAtributo("codRespuesta","<%=sdE.gOS("q53_cki.q53_oficina")%>-"+codRespuesta+i+"0"));
	    respuesta.setAttributeNode(crearAtributo("total_filas",0));
        guardarProcedenciaTablaPV(i);
	    guardarGruposTablaPV(i);
	    guardarRespuestaFechaTabla("0",i);
	    guardarRespuestOpcionesTabla("1",i);
	    guardarRespuestOpcionesTabla("3",i);
	    guardarRespuestOpcionesTabla("7",i);
	    guardarRespuestOpcionesTabla("8",i);
	    guardarRespuestOpcionesTabla("9",i);
	    guardarRespuestOpcionesTabla("12",i);
	    guardarRespuestaTextoTabla("<%=q53Util.getLiteral(sdE, "PREG_DESC", q53_idiomaE)%>",i);
	    var elems=objDom.getElementsByTagName("encuestaPV");
	    elems[0].appendChild(respuesta);
       }
     }	    
    return;
}

function guardarRespuestasOFI(){
<%if (sdE.gOS("hay_preg_ofi").equals("SI")) {
	  %>
	  	respuesta=objDom.createElement("respuestaOFI");
	  	var fecha=new Date();
	  	var mes=fecha.getMonth()+1;
	  	var dia=fecha.getDate();
	  	var hora=fecha.getHours();
	  	var min=fecha.getMinutes();
        var seg=fecha.getSeconds();
        var m0fecha=dia+"/"+mes+"/"+fecha.getFullYear()+" "+hora+":"+min+":"+seg;
   		var m0Personas=inicializarNoNulo(document.getElementsByName( "totalPersonas"),"0");
   		var codRespuesta=fecha.getTime();
	  	respuesta.setAttributeNode(crearAtributo("m0TipoEncuesta","<%=session.getAttribute("tipo_enc")%>"));
	  	respuesta.setAttributeNode(crearAtributo("m0FormatoEncuesta","<%=session.getAttribute("formato_enc")%>"));
        respuesta.setAttributeNode(crearAtributo("fecha_version","<%=session.getAttribute("fecha_version")%>"));	  	
    	respuesta.setAttributeNode(crearAtributo("m0Personas",m0Personas));
    	respuesta.setAttributeNode(crearAtributo("m0fecha",m0fecha));
    	respuesta.setAttributeNode(crearAtributo("codRespuesta","<%=sdE.gOS("q53_cki.q53_oficina")%>-"+codRespuesta+"1"));
    	respuesta.setAttributeNode(crearAtributo("total_filas",0));
	  <%
	  if(sdE.getVal("preguntasList") != null && !((List)sdE.getVal("preguntasList")).isEmpty()){
        List preguntasList = (List)sdE.getVal("preguntasList");
        int numPreguntas = preguntasList.size();
        for(int k=0;k<numPreguntas;k++){
            q53PreguntaBean preguntaBean = (q53PreguntaBean)preguntasList.get(k);
            String tipoPregunta = preguntaBean.getTipoPregunta();
            if (tipoPregunta.equals(q53Constantes.TIPO_OPCIONES)) {
				%>guardarRespuestOpciones("<%=preguntaBean.getCodPregunta()%>");<%
            }else if (tipoPregunta.equals(q53Constantes.TIPO_TEXTO)) {
				%>guardarRespuestaTexto("<%=preguntaBean.getCodPregunta()%>");<%
            }else if (tipoPregunta.equals(q53Constantes.TIPO_FECHA)) {
				%>guardarRespuestaFecha("<%=preguntaBean.getCodPregunta()%>");<%
            }
        }
    }
    %>    
    var elems=objDom.getElementsByTagName("encuestaOFI");
    elems[0].appendChild(respuesta);
   <%
   }%>
   return;
}
function guardarRespuestasTablaOFI(){
<%if (sdE.gOS("hay_preg_ofi").equals("SI")) {%>
    var total_filas=document.frm.total_filas.value;
    for(i=1;i<total_filas;i++){
      if(eval('document.frm.id'+i+'.checked')){
  	respuesta=objDom.createElement("respuestaOFI");
  	var fecha=new Date();
  	var mes=fecha.getMonth()+1;
  	var dia=fecha.getDate();
  	var hora=fecha.getHours();
  	var min=fecha.getMinutes();
    var seg=fecha.getSeconds();
    var m0fecha=dia+"/"+mes+"/"+fecha.getFullYear()+" "+hora+":"+min+":"+seg;
	var m0Personas=inicializarNoNulo(document.getElementsByName( "totalPersonasProc"+i),"0");
	var codRespuesta=fecha.getTime();
	var total_filas=document.frm.total_filas.value;
  	respuesta.setAttributeNode(crearAtributo("m0TipoEncuesta","<%=session.getAttribute("tipo_enc")%>"));
  	respuesta.setAttributeNode(crearAtributo("m0FormatoEncuesta","<%=session.getAttribute("formato_enc")%>"));
  	respuesta.setAttributeNode(crearAtributo("fecha_version","<%=session.getAttribute("fecha_version")%>"));
    respuesta.setAttributeNode(crearAtributo("m0Personas",m0Personas));
    respuesta.setAttributeNode(crearAtributo("m0fecha",m0fecha));
    respuesta.setAttributeNode(crearAtributo("codRespuesta","<%=sdE.gOS("q53_cki.q53_oficina")%>-"+codRespuesta+i+"1"));
	respuesta.setAttributeNode(crearAtributo("total_filas",0));
    <%
	if(sdE.getVal("preguntasList") != null && !((List)sdE.getVal("preguntasList")).isEmpty()){
        List preguntasList = (List)sdE.getVal("preguntasList");
        int numPreguntas = preguntasList.size();
        for(int k=0;k<numPreguntas;k++){
            q53PreguntaBean preguntaBean = (q53PreguntaBean)preguntasList.get(k);
            String tipoPregunta = preguntaBean.getTipoPregunta();
            if (tipoPregunta.equals(q53Constantes.TIPO_OPCIONES)) {
				%>guardarRespuestOpcionesTabla("<%=preguntaBean.getCodPregunta()%>",i);<%
            }else if (tipoPregunta.equals(q53Constantes.TIPO_TEXTO)) {
				%>guardarRespuestaTextoTabla("<%=preguntaBean.getCodPregunta()%>",i);<%
            }else if (tipoPregunta.equals(q53Constantes.TIPO_FECHA)) {
				%>guardarRespuestaFechaTabla("<%=preguntaBean.getCodPregunta()%>",i);<%
            }
        }
    }
    %>    
      var elems=objDom.getElementsByTagName("encuestaOFI");
      elems[0].appendChild(respuesta);
      }
    }
   <%
   }%>
   return;   
}

function PostXML (xmldoc)
{
   var info = "";
   if(<%=q53Util.esPerfil(sdE, q53Constantes.PERFIL_COOR)%>)
   	 info = info + "activar_avisos=1&";
   info = info + "info="+xmldoc;
   xmlhttp=new ActiveXObject ("Microsoft.XMLHTTP");
   xmlhttp.onreadystatechange = recogeInfo;
   xmlhttp.open("POST", "http://www.industria.ejgv<%=q53Util.getDominio(sdE.req.getRequestURL())%>/q53ItourbaskWar/q53_usr_XMLServletHTA", true);
   xmlhttp.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=ISO-8859-1');
   xmlhttp.send(info);
}

function recogeInfo(){

    if(xmlhttp.readyState == 4 && xmlhttp.status == 200)
    {
    	var dFSO = new ActiveXObject("Scripting.FileSystemObject");
    	var max = 4;
    	contFich++;
    	document.getElementById('progreso').innerHTML="<%=q53Util.getLiteral(sdE,"HTA_SUBIDOS",q53_idiomaE)%>:  "+contFich+"..."+totalFich+" <%=q53Util.getLiteral(sdE,"HTA_BLOQUES",q53_idiomaE)%>";
        msg=xmlhttp.responseText;
        if(msg!=null && msg!=""){
            if(msg.indexOf("ok")==-1){
            	 if(dFSO.FileExists("./subidas/"+ultimo_fichero)){
            	 	var oFich = dFSO.GetFile ( "./subidas/"+ultimo_fichero);
            	 	if(dFSO.FileExists("./respuestas/"+ultimo_fichero)){
            	 		dFSO.DeleteFile("./respuestas/"+ultimo_fichero);
            	 	}
            	 	oFich.Move("./respuestas/"+ultimo_fichero);
            	 	var tipo=1;
            	 	if(msg.charAt(0)=='0'){
            	 		//msg=msg.substring(6,msg.indexOf(',',0))+" <%=HTA_DUPLICADA%>";
            	 		tipo=0;
            	 	}else{
            	 		msg=msg.substring(msg.indexOf(',',0)+1,msg.length);
            	 	}
            	 	if(tipo==0){
            	 		alert("Carga del fichero "+ultimo_fichero+" fallida,"+msg+", consulte asistencia técnica");
            	 		document.getElementById('progreso').innerHTML="";
            	 		 totalFich=0;
     					 contFich=0;
            	 	}else{
            	 		alert("Carga del fichero "+ultimo_fichero+" fallida, consulte asistencia técnica,"+msg);
            	 		document.getElementById('progreso').innerHTML="";
            	 		totalFich=0;
     				    contFich=0;
            	 	}	           	 	
            	 }
        	}else{	
        		msg=msg.substring(msg.indexOf(',',0)+ 1, msg.length);
			if(msg!="0"){
        			var oFich;
        			// Guarda el fichero en subidas como erroneo
        			if(dFSO.FileExists("./subidas/"+ultimo_fichero)){
            			oFich = dFSO.GetFile ( "./subidas/"+ultimo_fichero);
            		oFich.Copy("./subidas/"+ultimo_fichero + ".]][[error");
        					dFSO.DeleteFile("./subidas/"+ultimo_fichero);
            		}
            	if(dFSO.FileExists("./respuestas/"+ultimo_fichero)){
            	 			oFich = dFSO.GetFile ( "./respuestas/"+ultimo_fichero);
            	 	oFich.Copy("./subidas/"+ultimo_fichero + ".]][[error");
        						dFSO.DeleteFile("./respuestas/"+ultimo_fichero);
            		}
			msg = msg.substring(msg.indexOf(',',0)+1,3);//Esto reduce el maximo de errores a 1000!!!!
            		alert ("<%=HTA_ERRORES_INI%>"+ msg.replace(/^(\s|\&nbsp;)*|(\s|\&nbsp;)*$/g,"") + "<%=HTA_ERRORES_FIN%>" + ultimo_fichero);
        			//alert ("Se ha(n) producido "+ msg + " errores al guardar respuestas en " + ultimo_fichero);
        			}
        		cargarFicheroSIG();}
       }else{
       	alert("<%=HTA_ERROR_SERVIDOR%>");
       	document.getElementById('progreso').innerHTML="";
       	 totalFich=0;
   		 contFich=0;
       	CheckConnection();
       }
    }
    
}

function ponerFicherosConErroresEnSalida(){
	var dFSO = new ActiveXObject("Scripting.FileSystemObject");
     var corigen="./respuestas";
     var cdestino="./subidas";
     var movera="subidas"
     var moverdesde="respuestas";
     var fecha=new Date();
    if(!dFSO.FolderExists(cdestino)){
    	dFSO.CreateFolder(movera);
    }
    if(!dFSO.FolderExists(corigen)){
    	dFSO.CreateFolder(moverdesde);
    }
     var folder = dFSO.GetFolder(cdestino);
     var archivos= new Enumerator(folder.Files);
     var nombre = "";
     
     for( archivos.moveFirst( ); !archivos.atEnd( ); archivos.moveNext( ) )
		{
    		var fxml=archivos.item().name;
    		var oFich = dFSO.GetFile ( "./subidas/"+fxml);
    		if(fxml.indexOf(']][[')!=-1){ //reponemos los ]][[ a 'respuestas'
    			nombre=fxml.split(".")[0] + ".xml";
    			oFich.Copy("./respuestas/"+nombre);
    			dFSO.DeleteFile("./subidas/"+fxml);
    		}
		}
}


function cargarFicheroSIG(){
	var dFSO = new ActiveXObject("Scripting.FileSystemObject");
     var corigen="./respuestas";
     var cdestino="./subidas";
     var movera="subidas"
     var moverdesde="respuestas";
     var fecha=new Date();
    if(!dFSO.FolderExists(cdestino)){
    	dFSO.CreateFolder(movera);
    }
    if(!dFSO.FolderExists(corigen)){
    	dFSO.CreateFolder(moverdesde);
    }
     var folder = dFSO.GetFolder(corigen);
     var archivos= new Enumerator(folder.Files);
     if (!archivos.atEnd()){
     	archivos.moveFirst();
        var fxml=archivos.item().name
        var nombre=fxml;
        if(fxml.indexOf('_')==-1){ 
        	nombre=nombre=fxml.split(".")[0]+"_"+fecha.getMinutes()+""+fecha.getSeconds()+".xml";
        }
        if(dFSO.FileExists("./subidas/"+fxml)){
          if(fxml.indexOf('_')!=-1){
          	if(<%=q53Util.esPerfil(sdE, q53Constantes.PERFIL_COOR)%>)  
           		alert('<%=HTA_FICHERO_REPE%>');
           	totalFich--;
           	dFSO.DeleteFile("./respuestas/"+fxml);
           	cargarFicheroSIG();
           	return;
           }
        }      
       	var objDomC = new ActiveXObject("Microsoft.XMLDOM");
        objDomC.load("./respuestas/"+fxml);
        var texto=objDomC.xml;
        archivos.item().Move(cdestino+"/"+nombre);
        ultimo_fichero=nombre;
        PostXML(texto);
     }else{
     	alert('<%=HTA_FIN_CARGA%>');
     	document.getElementById('progreso').innerHTML="";
     	 totalFich=0;
     	 contFich=0;
     	 ponerFicherosConErroresEnSalida();
     }
}

function cargarFicheros(){
	
	if(xmlcheck.readyState == 4 && xmlcheck.status == 200 && con=="N")
    {
     con="S";	
     var dFSO = new ActiveXObject("Scripting.FileSystemObject");
     var corigen="./respuestas";
     var cdestino="./subidas";
     var movera="subidas";
     var fecha=new Date();
    if(!dFSO.FolderExists(cdestino)){
    	dFSO.CreateFolder(movera);
    }
   if(tipo_prueba==0){alert("<%=HTA_HAY_CN%>"); }
   if(tipo_prueba==0){
   	if(!window.confirm("<%=HTA_CARGA_RES%>")){return;}
   }	
   if(!dFSO.FolderExists(corigen)){
   	alert('<%=HTA_NO_FICH%>');
   	return;
   }
     var folder = dFSO.GetFolder(corigen);
     var archivos= new Enumerator(folder.Files);
     var enProg=new Enumerator(folder.Files);
     totalFich=0;
     contFich=0;
     for (;!enProg.atEnd();enProg.moveNext())
	 {
	  	var extension=archivos.item().name.split(".")[1];
	  	if(extension=="xml" || extension=="XML"){
	  		totalFich++;
	  	} 	
	 }
	 
	 
     if (!archivos.atEnd()){
		archivos.moveFirst();
        var fxml=archivos.item().name
                var nombre=fxml;
        if(fxml.indexOf('_')==-1){ 
        	nombre=nombre=fxml.split(".")[0]+"_"+fecha.getMinutes()+""+fecha.getSeconds()+".xml";
        }
        if(dFSO.FileExists("./subidas/"+fxml)){
          if(fxml.indexOf('_')!=-1){  
          	if(<%=q53Util.esPerfil(sdE, q53Constantes.PERFIL_COOR)%>)
           		alert('<%=HTA_FICHERO_REPE%>');
           	totalFich--;
           	dFSO.DeleteFile("./respuestas/"+fxml);
           	cargarFicheroSIG();
           	return;
           }
        }      
       	var objDomC = new ActiveXObject("Microsoft.XMLDOM");
        objDomC.load("./respuestas/"+fxml);
        var texto=objDomC.xml;
        archivos.item().Move(cdestino+"/"+nombre);
        ultimo_fichero=nombre;
        document.getElementById('progreso').innerHTML="<%=q53Util.getLiteral(sdE,"HTA_SUBIDOS",q53_idiomaE)%>:  "+contFich+"..."+totalFich+" <%=q53Util.getLiteral(sdE,"HTA_BLOQUES",q53_idiomaE)%>";
        PostXML(texto);
     }else{
     	alert('<%=HTA_NO_FICH%>');
     }
  }else{
  		if(con=="N"){
  		 	setTimeout("CheckConnection()",200000);
  		} 
  
  }      
}  


function CheckConnection ()
{
   if(window.location.protocol=="http:"){return;}	
   xmlcheck = new ActiveXObject ("Microsoft.XMLHTTP");
   xmlcheck.onreadystatechange = cargarFicheros;
   xmlcheck.open("POST", "http://www.industria.ejgv<%=q53Util.getDominio(sdE.req.getRequestURL())%>/q53ItourbaskWar/q53_usr_XMLServletHTA", true);
   xmlcheck.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=ISO-8859-1');
   xmlcheck.send("probar_conexion=1");
}

function replaceAll( str, viejo,nuevo ) {    
        var idx = str.indexOf(viejo);
        while ( idx > -1 ) {
            str = str.replace( viejo, nuevo );
            idx = str.indexOf( viejo );
        }
		    return str;
    }

function cambiarExtensiones(){
   if(window.location.protocol=="http:"){return;}
	 var dFSO = new ActiveXObject("Scripting.FileSystemObject");
	 var loc=replaceAll(location.pathname,"%20"," ")
	 loc=loc.replace("/","");
	 var elems=replaceAll(loc,"/","\\").split("\\");
	 var unidad=elems[0].replace("\\","");
	 var carpeta=unidad+"\\";
	 if(elems.length>2){
	 	for(i=1;i<elems.length-2;i++){carpeta+=elems[i]+"\\";}
	 	carpeta=carpeta+""+elems[elems.length-2];
	 } 

	 var folder = dFSO.GetFolder(carpeta);
	 var archivos= new Enumerator(folder.Files);
     var primero="S";
     var html="N";  	 
     for(;!archivos.atEnd();archivos.moveNext()){
     	   var fhta=archivos.item().name;
         if(fhta.indexOf(".")!=-1 && (fhta.split(".")[1]=="html" || fhta.split(".")[1]=="htm")){
         	html="S";
         	if(primero=="S" && elems[elems.length-1]!="pres.hta" && elems[elems.length-1]!="nopres.hta" && elems[elems.length-1]!="presTabla.hta" && elems[elems.length-1]!="noPresTabla.hta"){
         		alert('<%=q53Util.getLiteral(sdE,"HTA_INSTALANDO",q53_idiomaE)%>');
     			alert('<%=q53Util.getLiteral(sdE,"HTA_ICA",q53_idiomaE)%>');
     			primero="N";
         	}
         	var origen=fhta.split(".")[0];
         	var destino="";
         	if(origen=="instalacionPres"){
         		destino=carpeta+"\\pres.hta";
         	}else if (origen=="instalacionNopres"){
         		destino=carpeta+"\\nopres.hta";
         	}else if (origen=="instalacionPresTabla"){
         		destino=carpeta+"\\presTabla.hta";
         	}else if (origen=="instalacionNoPresTabla"){
         		destino=carpeta+"\\noPresTabla.hta";
         	}
         	if(!dFSO.FileExists(destino) && fhta!=elems[elems.length-1])
            {   
               archivos.item().Move(destino);  
            }else if(fhta!=elems[elems.length-1] && elems[elems.length-1]!="pres.hta" && elems[elems.length-1]!="nopres.hta" && elems[elems.length-1]!="presTabla.hta" && elems[elems.length-1]!="noPresTabla.hta"){
            	dFSO.DeleteFile(destino);
            	archivos.item().Move(destino); 
            }else if(!dFSO.FileExists(destino)){
            	archivos.item().Copy(destino);
            }else if(fhta==elems[elems.length-1] && fhta==elems[elems.length-1] && fhta!="pres.hta" && fhta!="nopres.hta" && fhta!="presTabla.hta" && fhta!="noPresTabla.hta") {
            	dFSO.DeleteFile(destino);
            	archivos.item().Copy(destino);
            }else if(origen=="instalacionPres" || origen=="instalacionNopres" || origen=="instalacionPresTabla" || origen=="instalacionNoPresTabla"){
            	dFSO.DeleteFile(carpeta+"\\"+fhta);
            }  
         }
     }
    if(html=="S" && elems[elems.length-1]!="pres.hta" && elems[elems.length-1]!="nopres.hta" && elems[elems.length-1]!="presTabla.hta" && elems[elems.length-1]!="noPresTabla.hta"){close();}  
}

function probar(){
	tipo_prueba=0;
	if(con=="S"){
		con="N";
		CheckConnection();
	}else{
		alert("<%=HTA_PROVAR%>");
	}
}

function subir(){
	tipo_prueba=1;
	if(con=="S"){
		con="N";
		CheckConnection();
	}else{
		alert("<%=HTA_PROVAR%>");
	}
} 

		cambiarExtensiones();
		CheckConnection();
		limpiarPantalla(0,0);
	
function limpiarPantalla(unaFila,numFila){
    var hoy = new Date ();
    var ano_hoy = hoy.getYear();
    var mes_hoy= hoy.getMonth()+1;
    var dia_hoy = hoy.getDate();
    var hora_hoy = hoy.getHours();
    if (mes_hoy<10) mes_hoy = "0"+mes_hoy;
	if (dia_hoy<10) dia_hoy = "0"+dia_hoy;
	if (hora_hoy<10) hora_hoy = "0"+hora_hoy;
    if (document.frm.fech_0_anio){
	    document.frm.fech_0_anio.value=ano_hoy;
	    document.frm.fech_0_mes.value=mes_hoy;
	    document.frm.fech_0_dia.value=dia_hoy;
	    document.frm.fech_0_hora.value=hora_hoy;
	    }else{
	    		if(unaFila==0)
	    		{
				    for(i=1;i<total_filas;i++)
				    {
				    	eval('document.frm.fech_0_anio_'+i+'.value=ano_hoy');
						eval('document.frm.fech_0_mes_'+i+'.value=mes_hoy');
						eval('document.frm.fech_0_dia_'+i+'.value=dia_hoy');
						if(document.frm.fech_0_hora_1)
							eval('document.frm.fech_0_hora_'+i+'.value=hora_hoy');
					}
		    	}
	  }  
}
	
  <%session.removeAttribute("tipo_enc");%>
  <%session.removeAttribute("formato_enc");%>
  
function onLine(){

   if(totalFich==contFich){	
	 window.open('http://www.industria.ejgv<%=q53Util.getDominio(sdE.req.getRequestURL())%>/q53ItourbaskWar/q53_gen_login.jsp');
	 close();
	}else{
		alert('<%=q53Util.getLiteral(sdE,"HTA_SUBIENDO",q53_idiomaE)%>');
	} 
}               
</script>
<table align="center">
<tr>
	<td ><font face="arial" color="blue"><b id=progreso></b></font></td>
</tr>
</table>